Bug 137177 - sysutils/smartmontools: command13 fix
sysutils/smartmontools: command13 fix
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: avl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-27 16:10 UTC by Dmitry Morozovsky
Modified: 2009-08-31 14:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.33 KB, patch)
2009-07-27 16:10 UTC, Dmitry Morozovsky
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Morozovsky freebsd_committer 2009-07-27 16:10:00 UTC
Cite from -stable@:

This is stable/7 i386:

$ smartctl -t select,568157535-568159000 /dev/ad10
...
Unrecognized command 13 in ata_command_interface()
Please contact smartmontools-support@lists.sourceforge.net
Error Write Selective Self-Test Log failed: Function not implemented

In smartmontools sources this is command WRITE_LOG.

Fix: Submitted by: avg
Comment 1 Edwin Groothuis freebsd_committer 2009-07-27 16:10:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marck

Submitter is maintainer and has GNATS access (via the GNATS Auto Assign 
Tool)
Comment 2 Dmitry Morozovsky freebsd_committer 2009-07-27 16:18:58 UTC
Responsible Changed
From-To: marck->freebsd-ports-bugs

Maintainer approval, please commit.
Comment 3 avl freebsd_committer 2009-08-30 16:06:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->avl

I'll take it.
Comment 4 dfilter freebsd_committer 2009-08-31 14:46:10 UTC
avl         2009-08-31 13:45:57 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/smartmontools Makefile 
    sysutils/smartmontools/files patch-os__freebsd.cpp 
  Log:
  - Fix command 13 in ata_command_interface()
  
  PR:             ports/137177
  Submitted by:   marck (maintainer)
  Approved by:    tabthorpe (mentor)
  
  Revision  Changes    Path
  1.42      +1 -1      ports/sysutils/smartmontools/Makefile
  1.5       +25 -6     ports/sysutils/smartmontools/files/patch-os__freebsd.cpp
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 avl freebsd_committer 2009-08-31 14:47:39 UTC
State Changed
From-To: open->closed

Committed. Thanks!